SanitizeRxn.h File Reference
`#include <RDGeneral/export.h>`
`#include "Reaction.h"`
`#include <GraphMol/MolOps.h>`
`#include <string>`
`#include <exception>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | RDKit::RxnSanitizeException
| class for flagging sanitization errors More...

## Namespaces

| RDKit
| Std stuff.
| RDKit::RxnOps

## Enumerations

enum | RDKit::RxnOps::SanitizeRxnFlags { RDKit::RxnOps::SANITIZE_NONE = 0x0 , RDKit::RxnOps::SANITIZE_RGROUP_NAMES = 0x1 , RDKit::RxnOps::SANITIZE_ATOM_MAPS = 0x2 , RDKit::RxnOps::SANITIZE_ADJUST_REACTANTS = 0x4 , RDKit::RxnOps::SANITIZE_MERGEHS = 0x8 , RDKit::RxnOps::SANITIZE_ALL = 0xFFFFFFFF }

## Functions

RDKIT_CHEMREACTIONS_EXPORT void | RDKit::RxnOps::fixRGroups (ChemicalReaction &rxn)
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::RxnOps::fixAtomMaps (ChemicalReaction &rxn)
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::RxnOps::adjustTemplates (ChemicalReaction &rxn, const MolOps::AdjustQueryParameters &params)
| Adjusts the reactant templates to properly match reagents. More...
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::RxnOps::fixHs (ChemicalReaction &rxn)
| merge query Hs if appropriate More...
const MolOps::AdjustQueryParameters | RDKit::RxnOps::DefaultRxnAdjustParams ()
const MolOps::AdjustQueryParameters | RDKit::RxnOps::ChemDrawRxnAdjustParams ()
const MolOps::AdjustQueryParameters | RDKit::RxnOps::MatchOnlyAtRgroupsAdjustParams ()
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::RxnOps::sanitizeRxn (ChemicalReaction &rxn, unsigned int &operationsThatFailed, unsigned int sanitizeOps=SANITIZE_ALL, const MolOps::AdjustQueryParameters &params=DefaultRxnAdjustParams())
| carries out a collection of tasks for cleaning up a reaction and ensuring that it makes "chemical sense" in the context of RDKit reacitons More...
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::RxnOps::sanitizeRxn (ChemicalReaction &rxn, const MolOps::AdjustQueryParameters &params=DefaultRxnAdjustParams())
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...